<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLContainersEdgeW&lt; idType, dataType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classEdgeW-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLContainersEdgeW&lt; idType, dataType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__data__structures.html">Data Structures</a> &#124; <a class="el" href="group__core.html">Core Classes</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Weighted edge class.  
 <a href="classEdgeW.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglContainersEdgeW_8hpp_source.html">tiglContainersEdgeW.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for TIGLContainersEdgeW&lt; idType, dataType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classEdgeW.png" usemap="#TIGLContainersEdgeW&lt; idType, dataType &gt;_map" alt=""/>
  <map id="TIGLContainersEdgeW&lt; idType, dataType &gt;_map" name="TIGLContainersEdgeW&lt; idType, dataType &gt;_map">
<area href="classEdgeBase.html" title="core edge class " alt="TIGLContainersEdgeBase&lt; idType &gt;" shape="rect" coords="151,0,444,24"/>
<area href="classComputeEdge.html" title="Compute edge class. " alt="TIGLContainersComputeEdge&lt; idType, dataType, algDataType &gt;" shape="rect" coords="0,112,293,136"/>
<area href="classEdgeW2Sided.html" title="weighted edge class with information about the two sides " alt="TIGLContainersEdgeW2Sided&lt; idType, dataType &gt;" shape="rect" coords="303,112,596,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aecc88b8c21c27a22c57912e87e28b72e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecc88b8c21c27a22c57912e87e28b72e"></a>
dataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeW.html#aecc88b8c21c27a22c57912e87e28b72e">getData</a> ()</td></tr>
<tr class="memdesc:aecc88b8c21c27a22c57912e87e28b72e"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the value of data <br /></td></tr>
<tr class="separator:aecc88b8c21c27a22c57912e87e28b72e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afddfbce41085e49c653ba49fef0a5287"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#afddfbce41085e49c653ba49fef0a5287">getNbr</a> ()</td></tr>
<tr class="memdesc:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the id of the neighbor node <br /></td></tr>
<tr class="separator:afddfbce41085e49c653ba49fef0a5287 inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50b88e0b1eea47f381270de3e5f5cc38"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#a50b88e0b1eea47f381270de3e5f5cc38">setNbr</a> ()</td></tr>
<tr class="memdesc:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">change the id of the neighbor node <br /></td></tr>
<tr class="separator:a50b88e0b1eea47f381270de3e5f5cc38 inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae503269e9d7ddb3b225500cd3741b67e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#ae503269e9d7ddb3b225500cd3741b67e">operator&lt;</a> (<a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase</a>&lt; idType &gt; &amp;rhs)</td></tr>
<tr class="memdesc:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator definition for edge list comparisons <br /></td></tr>
<tr class="separator:ae503269e9d7ddb3b225500cd3741b67e inherit pub_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a61fca81b95f6304bb9e2fb1a7291a8f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61fca81b95f6304bb9e2fb1a7291a8f9"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeW.html#a61fca81b95f6304bb9e2fb1a7291a8f9">hasVal</a> ()</td></tr>
<tr class="memdesc:a61fca81b95f6304bb9e2fb1a7291a8f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true <br /></td></tr>
<tr class="separator:a61fca81b95f6304bb9e2fb1a7291a8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e7f7fecf9dfbd63f6ef62b77c52fd4c"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#a2e7f7fecf9dfbd63f6ef62b77c52fd4c">hasVal</a> ()</td></tr>
<tr class="memdesc:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">check if the edge is weighted <br /></td></tr>
<tr class="separator:a2e7f7fecf9dfbd63f6ef62b77c52fd4c inherit pub_static_methods_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a013c4429d353528d055d691e48d5148c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a013c4429d353528d055d691e48d5148c"></a>
dataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeW.html#a013c4429d353528d055d691e48d5148c">edgeData</a></td></tr>
<tr class="memdesc:a013c4429d353528d055d691e48d5148c"><td class="mdescLeft">&#160;</td><td class="mdescRight">edge data field <br /></td></tr>
<tr class="separator:a013c4429d353528d055d691e48d5148c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classEdgeBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classEdgeBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classEdgeBase.html">TIGLContainersEdgeBase&lt; idType &gt;</a></td></tr>
<tr class="memitem:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab72af162dc3603efcf572ff6c6cb042d"></a>
idType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEdgeBase.html#ab72af162dc3603efcf572ff6c6cb042d">node</a></td></tr>
<tr class="memdesc:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">the ID of the target/src vertex <br /></td></tr>
<tr class="separator:ab72af162dc3603efcf572ff6c6cb042d inherit pro_attribs_classEdgeBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename idType = unsigned long, typename dataType = double&gt;<br />
class TIGLContainersEdgeW&lt; idType, dataType &gt;</h3>

<p>Weighted edge class. </p>
<p>This is derived from <a class="el" href="classEdgeBase.html" title="core edge class ">TIGLContainersEdgeBase</a> and had the extra parameters of "edgeData" that carries information about the edge weight </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/common/containers/<a class="el" href="tiglContainersEdgeW_8hpp_source.html">tiglContainersEdgeW.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:17:02 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
